<?php
require_once 'class.FirePHP.php';

$firephp = new FirePHP();

$array = array('one', 'two', 'three');
$object = new stdclass();
$object->member = 'test';

$firephp->log('Plain Message');     // or FB::
$firephp->info('Info Message');     // or FB::
$firephp->warn('Warn Message');     // or FB::
$firephp->error('Error Message');   // or FB::
 
$firephp->log('Message','Optional Label');

$firephp->log($array, 'test array');

$firephp->log($object, 'test object');

$firephp->group('Test Group');
$firephp->log('Hello World');
$firephp->groupEnd();

$table   = array();
$table[] = array('Col 1 Heading','Col 2 Heading');
$table[] = array('Row 1 Col 1','Row 1 Col 2');
$table[] = array('Row 2 Col 1','Row 2 Col 2');
$table[] = array('Row 3 Col 1','Row 3 Col 2');
 
$firephp->table('Table Label', $table);  // or FB::

$firephp->trace('Trace Label');  // or FB::

$firephp->dump('test object', $object);
$firephp->dump('test array', $array);
?>